# Uses of Interface
org.eclipse.net4j.util.StringParser

Packages that use StringParser
Package
Description
org.eclipse.net4j.util
Utility classes.

## Uses of StringParser in org.eclipse.net4j.util

Classes in org.eclipse.net4j.util that implement StringParser
Modifier and Type
Class
Description
`static final class`
`StringParser.EnumStringParser<T extends Enum<T>>`
Fields in org.eclipse.net4j.util declared as StringParser
Modifier and Type
Field
Description
`static final StringParser<BigDecimal>`
StringParser.`BIG_DECIMAL`
`static final StringParser<BigInteger>`
StringParser.`BIG_INTEGER`
`static final StringParser<Boolean>`
StringParser.`BOOLEAN`
`static final StringParser<Byte>`
StringParser.`BYTE`
`static final StringParser<Character>`
StringParser.`CHARACTER`
`static final StringParser<Double>`
StringParser.`DOUBLE`
`static final StringParser<File>`
StringParser.`FILE`
`static final StringParser<Float>`
StringParser.`FLOAT`
`static final StringParser<String>`
StringParser.`IDENTITY`
`static final StringParser<Integer>`
StringParser.`INTEGER`
`static final StringParser<Long>`
StringParser.`LONG`
`static final StringParser<Path>`
StringParser.`PATH`
`static final StringParser<Short>`
StringParser.`SHORT`
Methods in org.eclipse.net4j.util that return StringParser
Modifier and Type
Method
Description
`default StringParser<T>`
StringParser.`safe()`
`static <T> StringParser<T>`
StringParser.`safe(StringParser<T> other)`
Methods in org.eclipse.net4j.util with parameters of type StringParser
Modifier and Type
Method
Description
`static <T> StringParser<T>`
StringParser.`safe(StringParser<T> other)`